org.apache.storm.streams.tuple

## Class Tuple9<T1,T2,T3,T4,T5,T6,T7,T8,T9>

- java.lang.Object
- - org.apache.storm.streams.tuple.Tuple9<T1,T2,T3,T4,T5,T6,T7,T8,T9>

-     public class Tuple9<T1,T2,T3,T4,T5,T6,T7,T8,T9>
      extends Object

  A tuple of nine elements along the lines of Scala’s Tuple.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `T1` | `value1`
    `T2` | `value2`
    `T3` | `value3`
    `T4` | `value4`
    `T5` | `value5`
    `T6` | `value6`
    `T7` | `value7`
    `T8` | `value8`
    `T9` | `value9`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Tuple9(T1 value1, T2 value2, T3 value3, T4 value4, T5 value5, T6 value6, T7 value7, T8 value8, T9 value9)` Constructs a new tuple.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(Object o)`
    `int` | `hashCode()`
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### value1

          public final T1 value1

    - #### value2

          public final T2 value2

    - #### value3

          public final T3 value3

    - #### value4

          public final T4 value4

    - #### value5

          public final T5 value5

    - #### value6

          public final T6 value6

    - #### value7

          public final T7 value7

    - #### value8

          public final T8 value8

    - #### value9

          public final T9 value9

  - ### Constructor Detail

    - #### Tuple9

          public Tuple9(T1 value1,
                        T2 value2,
                        T3 value3,
                        T4 value4,
                        T5 value5,
                        T6 value6,
                        T7 value7,
                        T8 value8,
                        T9 value9)

      Constructs a new tuple.

      Parameters:
        `value1` - the first element
        `value2` - the second element
        `value3` - the third element
        `value4` - the fourth element
        `value5` - the fifth element
        `value6` - the sixth element
        `value7` - the seventh element
        `value8` - the eighth element
        `value9` - the ninth element

  - ### Method Detail

    - #### equals

          public boolean equals(Object o)

      Overrides:
        `equals` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

Copyright © 2021 The Apache Software Foundation. All rights reserved.